$values: 0, 5, 10, 15, 20, 25, 30, 35, 40;
$font-weights: 'regular', 'medium', 'bold';
$attrs: ("margin-top": "mt", "margin-right": "mr", "margin-bottom": "mb", "margin-left": "ml", "padding-top": "pt", "padding-right": "pr", "padding-bottom": "pb", "padding-left": "pl");

/* Margin and Padding */
@each $value in $values {
  @each $attr, $min in $attrs {
    .h-#{$min}--#{$value} {
      #{$attr}: #{$value}px !important;
    }
  }
}

/* Font weidth */
@each $value in $font-weights {
  .h-fw--#{$value} {
    font-weight: #{$value} !important;
  }
}

/* Full Width */
.h-w--100 {
  width: 100%;
}